SinusoidalProjector (Lucene 3.6.2 API)
Keywords: org.apache.lucene.spatial.tier.projections.SinusoidalProjector class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.spatial.tier.projections
Class SinusoidalProjector

    java.lang.Object
      org.apache.lucene.spatial.tier.projections.SinusoidalProjector

All Implemented Interfaces:
  IProjector

Deprecated. Until we can put in place proper tests and a proper fix.

    @Deprecated
    public class SinusoidalProjector

extends Object
implements IProjector

Based on Sinusoidal Projections Project a latitude / longitude on a 2D cartesian map

THIS PROJECTION IS WRONG, but it's not going to be fixed b/c it will break a lot of existing tests, plus we are deprecating most of the existing spatial and replacing with a more reliable approach.

NOTE: This API is still in flux and might change in incompatible ways in the next release.

Constructor Summary
`SinusoidalProjector()` Deprecated.

Method Summary
`double[]` | `coords(double latitude, double longitude)` Deprecated.
`String` | `coordsAsString(double latitude, double longitude)` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SinusoidalProjector

    public SinusoidalProjector()

  Deprecated.

Method Detail

### coordsAsString

    public String coordsAsString(double latitude,
                                 double longitude)

  Deprecated.
  Specified by:
    `coordsAsString` in interface `IProjector`

### coords

    public double[] coords(double latitude,
                           double longitude)

  Deprecated.
  Specified by:
    `coords` in interface `IProjector`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD